/***************************************************************************
                          hit.h  -  description
                             -------------------
    begin                : Tue Oct 7 2003
    copyright            : (C) 2003 by Marek Rychlik
    email                : marek@rychliks.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef HIT_H
#define HIT_H


/**
  *@author Marek Rychlik
  */
#include <vec3f.h>

class Hit {
public: 
	Hit();
	Hit(const Vec3f& _location, const Vec3f& _normal);
	virtual ~Hit();
  /** Read property of Vec3f location. */
  virtual const Vec3f& getlocation();
  /** Read property of Vec3f normal. */
  virtual const Vec3f& getnormal();
protected: // Protected attributes
  /**  */
  Vec3f location;
  /**  */
  Vec3f normal;
};

#endif
