/***************************************************************************
                          materialshape.h  -  description
                             -------------------
    begin                : Tue Oct 7 2003
    copyright            : (C) 2003 by Marek Rychlik
    email                : marek@rychliks.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MATERIALSHAPE_H
#define MATERIALSHAPE_H

#include <shape.h>

/**
  *@author Marek Rychlik
  */

class MaterialShape : public Shape  {
public: 
	MaterialShape();
	~MaterialShape();
  /** Write property of Material material. */
  virtual void setmaterial( const Material& _newVal);
  /** Read property of Material material. */
  virtual const Material& getmaterial();
  /** No descriptions */
  ostream & print(ostream & s) const;
  /** No descriptions */
   MaterialShape(AbstractShape *_rep);
protected: // Protected attributes
  /**  */
  Material material;
};

#endif
