/***************************************************************************
                          nodelist.h  -  description
                             -------------------
    begin                : Fri Oct 3 2003
    copyright            : (C) 2003 by Marek Rychlik
    email                : marek@rychliks.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef NODELIST_H
#define NODELIST_H
using namespace std;

#include <list>
#include "node.h"
#include <iostream>

/**
  *@author Marek Rychlik
  */

class NodeList : public list<Node>  {
public: 
	NodeList();
	~NodeList();
  friend ostream& operator << (ostream& s, const NodeList& nodes);
  /** No descriptions */
};

#endif


/*
;;; Local Variables: ***
;;; mode:C++ ***
;;; End: ***
*/
