/***************************************************************************
                          nullrenderer.h  -  description
                             -------------------
    begin                : Sat Oct 4 2003
    copyright            : (C) 2003 by Marek Rychlik
    email                : marek@rychliks.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef NULLRENDERER_H
#define NULLRENDERER_H

#include <renderer.h>

/**
  *@author Marek Rychlik
  */

class NullRenderer : public Renderer  {
public: 
	NullRenderer();
	~NullRenderer();
  /** No descriptions */
  unsigned int getwidth() const;
  unsigned int getheight() const;
  /** No descriptions */
  virtual void setpixel(unsigned row, unsigned column, const Color & color);
};

#endif
