/***************************************************************************
                          pgmrenderer.h  -  description
                             -------------------
    begin                : Tue Oct 7 2003
    copyright            : (C) 2003 by Marek Rychlik
    email                : marek@rychliks.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef PGMRENDERER_H
#define PGMRENDERER_H

#include <arrayrenderer.h>

/**
  *@author Marek Rychlik
  */

class PGMRenderer : public ArrayRenderer  {
public: 
	PGMRenderer(unsigned _width = 64, unsigned _height = 64);
	~PGMRenderer();
  /** No descriptions */
  ostream& output_r(ostream& s) const;
  ostream& output_g(ostream& s) const;
  ostream& output_b(ostream& s) const;
private:
  ostream& output(ostream& s, unsigned int (Color::*channel)() const) const;
};

#endif
