/***************************************************************************
                          renderer.h  -  description
                             -------------------
    begin                : Sat Oct 4 2003
    copyright            : (C) 2003 by Marek Rychlik
    email                : marek@rychliks.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef RENDERER_H
#define RENDERER_H


/**
  *@author Marek Rychlik
  */

#include "color.h"

class Renderer {
public: 
	Renderer();
	virtual ~Renderer() {};
  /** No descriptions */
  virtual unsigned int getwidth() const = 0;
  /** No descriptions */
  virtual unsigned int getheight() const = 0;
  /** No descriptions */
  virtual void setpixel(unsigned row, unsigned column, const Color& color) = 0;
};

#endif
