/***************************************************************************
                          transform.h  -  description
                             -------------------
    begin                : Sat Oct 4 2003
    copyright            : (C) 2003 by Marek Rychlik
    email                : marek@rychliks.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef TRANSFORM_H
#define TRANSFORM_H


/**Affine Transform
  *@author Marek Rychlik
  */
#include "vec3f.h"

class Transform {
public: 
	Transform();
	~Transform();
  /** No descriptions */
   Transform(const Vec3f& direction, const Vec3f& up);
  /** No descriptions */
  Vec3f operator() (const Vec3f& arg) const;
protected: // Protected attributes
  Vec3f x, y, z, translation;
};

#endif
