/***************************************************************************
                          abstractnode.h  -  description
                             -------------------
    begin                : Fri Oct 3 2003
    copyright            : (C) 2003 by Marek Rychlik
    email                : marek@rychliks.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef ABSTRACTNODE_H
#define ABSTRACTNODE_H
using namespace std;


/**Mother of all nodes
  *@author Marek Rychlik
  */

#include <iostream>

class AbstractNode {
 public: 
  virtual ~AbstractNode() { };
  /** No descriptions */
  virtual const char* getname() const = 0;
  /** No descriptions */
  virtual ostream & print(ostream & s) const = 0;
  friend ostream& operator << (ostream& s, const AbstractNode& node);
};

#endif
