/***************************************************************************
                          arrayrenderer.h  -  description
                             -------------------
    begin                : Tue Oct 7 2003
    copyright            : (C) 2003 by Marek Rychlik
    email                : marek@rychliks.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef ARRAYRENDERER_H
#define ARRAYRENDERER_H

#include <renderer.h>

/**
  *@author Marek Rychlik
  */

class ArrayRenderer : public Renderer  {
public: 
	~ArrayRenderer();
  /** Read property of unsigned int width. */
  virtual unsigned int getwidth() const;
protected: // Protected attributes
  /**  */
  unsigned int width;
  /**  */
  Color* pixmap;
public: // Public attributes
  /**  */
  unsigned int height;
  /** No descriptions */
   ArrayRenderer(int _width = 64, int _height = 64);
  /** Read property of unsigned int height. */
  virtual unsigned int getheight()const;
  virtual void setpixel(unsigned row, unsigned column, const Color & color); 

};

#endif
