/***************************************************************************
                          color.cpp  -  description
                             -------------------
    begin                : Thu Oct 2 2003
    copyright            : (C) 2003 by Marek Rychlik
    email                : marek@rychliks.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "color.h"
#include <cmath>

Color::Color()  : Vec3f(0, 0, 0) {
}
Color::Color(float r, float g, float b) : Vec3f(r, g, b) {
}

Color::~Color() {
}
/** Construct color from RGB intensities */
 Color::Color(Vec3f _intensity) : Vec3f(_intensity){
}

/** No descriptions */
float Color::getr() const{
  return getx();
}
/** No descriptions */
float Color::getg() const{
  return gety();
}
/** No descriptions */
float Color::getb() const{
  return getz();
}
/** No descriptions */
unsigned int Color::ir() const{
  return (unsigned)::rintf(getr()*255);
}

/** No descriptions */
unsigned int Color::ig() const{
  return (unsigned)::rintf(getg()*255);
}

/** No descriptions */
unsigned int Color::ib() const{
  return (unsigned)::rintf(getb()*255);
}
/** No descriptions */
Color& Color::calibrate(){
  min(Vec3f(1, 1, 1));
  return *this;
}
