/***************************************************************************
                          color.h  -  description
                             -------------------
    begin                : Thu Oct 2 2003
    copyright            : (C) 2003 by Marek Rychlik
    email                : marek@rychliks.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef COLOR_H
#define COLOR_H

#include "vec3f.h"

/**
  *@author Marek Rychlik
  */

class Color : public Vec3f  {
public: 
	Color();
	Color(float r, float g, float b);
	~Color();
  /** Construct color from RGB intensities */
   Color(Vec3f _intensity);
  /** No descriptions */
  float getg() const;
  /** No descriptions */
  float getr() const;
  /** No descriptions */
  /** No descriptions */
  unsigned int ir() const;
  unsigned int ig() const;
  unsigned int ib() const;
  float getb() const;
  /** No descriptions */
  Color& calibrate();
public: // Public attributes

};

#endif

/*
;;; Local Variables: ***
;;; mode:C++ ***
;;; End: ***
*/

