/***************************************************************************
                          material.cpp  -  description
                             -------------------
    begin                : Sat Oct 4 2003
    copyright            : (C) 2003 by Marek Rychlik
    email                : marek@rychliks.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "material.h"

Material::Material(){
}
Material::~Material(){
}
/** Read property of Vec3f specularReflection. */
const Vec3f& Material::getspecularReflection(){
	return specularReflection;
}
/** Write property of Vec3f specularReflection. */
void Material::setspecularReflection( const Vec3f& _newVal){
	specularReflection = _newVal;
}
/** Read property of Vec3f transparency. */
const Vec3f& Material::gettransparency(){
	return transparency;
}
/** Write property of Vec3f transparency. */
void Material::settransparency( const Vec3f& _newVal){
	transparency = _newVal;
}
/** No descriptions */
const char * Material::getname() const{
  return "Material";
}
/** No descriptions */
ostream & Material::print(ostream & s) const{
  return s  <<"specularReflection=" << specularReflection
	    <<", transparency=" << transparency;
}
