/***************************************************************************
                          node.cpp  -  description
                             -------------------
    begin                : Thu Oct 2 2003
    copyright            : (C) 2003 by Marek Rychlik
    email                : marek@rychliks.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "node.h"

Node::Node() : rep(0){
}

Node::~Node() {
  //delete rep;
}

/** No descriptions */
Node::Node(AbstractNode *_rep) : rep(_rep){
}

AbstractNode *Node::operator->()
{
  return rep;
}

const AbstractNode *Node::operator->() const
{
  return rep;
}


ostream& operator<< (ostream& s, const Node& node)
{
  return s << *node.rep;
}
