/***************************************************************************
                          node.h  -  description
                             -------------------
    begin                : Thu Oct 2 2003
    copyright            : (C) 2003 by Marek Rychlik
    email                : marek@rychliks.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef NODE_H
#define NODE_H


/**
  *@author Marek Rychlik
  */

#include <iostream>
#include "abstractnode.h"

class Node {
private:
  AbstractNode* rep;
public:
  Node();
  Node(AbstractNode *_rep); 
  ~Node();
  // Delegation en masse
  AbstractNode *operator->();
  const AbstractNode *operator->() const;
  friend ostream& operator<< (ostream& s, const Node& node);
};



#endif

/*
;;; Local Variables: ***
;;; mode:C++ ***
;;; End: ***
*/

