/***************************************************************************
                          surface.cpp  -  description
                             -------------------
    begin                : Thu Oct 2 2003
    copyright            : (C) 2003 by Marek Rychlik
    email                : marek@rychliks.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "surface.h"
#include <iostream>

Surface::Surface(){
}
Surface::~Surface(){
}

ostream& Surface::print(ostream& s) const {
  return s  << "material=" << material
	    << ", geometry=" << geometry;
}

const char* Surface::getname() const {
  return "Surface";
}
/** Read property of Material material. */
const Material& Surface::getmaterial(){
	return material;
}
/** Write property of Material material. */
void Surface::setmaterial( const Material& _newVal){
	material = _newVal;
}
/** Read property of Geometry geometry. */
const Geometry& Surface::getgeometry(){
	return geometry;
}
/** Write property of Geometry geometry. */
void Surface::setgeometry( const Geometry& _newVal){
	geometry = _newVal;
}
